Package org.eclipse.lemminx.services.snippets

## Class SnippetContextUtils

- java.lang.Object
- - org.eclipse.lemminx.services.snippets.SnippetContextUtils

    public class SnippetContextUtils
    extends Object

Snippet context utilities.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `canAcceptExpression​(ICompletionRequest request)` Returns true if the expression (with or without bracket) can be proceed according the completion trigger and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### canAcceptExpression

    public static boolean canAcceptExpression​(ICompletionRequest request)

Returns true if the expression (with or without bracket) can be proceed according the completion trigger and false otherwise.

Parameters:
  `request` - the completion request.
Returns:
  true if the expression (with or without bracket) can be proceed according the completion trigger and false otherwise.